# -*- coding: utf-8 -*-
require 'xmpp4r/message'

require_relative '../module_base'

module Lain
  module Modules
    class Credits < Base
      CreditText = <<END

I am Lain (レイン) #{Version}.

Coded by NeoRaider -- code at http://git.universe-factory.net/lain/
END

      def on_message(muc, message)
        return unless /\A!credits\b/ =~ message.body

        
        muc.say CreditText.chomp
      end

      def commands
        {
          '!credits' => 'show credits'
        }
      end
    end
  end
end
